amibroker

HomeDevLog

New IB plugin 1.6.6

A new Interactive Brokers plugin version 1.6.6 has been released. It is available for download from:

http://www.amibroker.com/bin/ib166/IB.dll

CHANGES AS COMPARED to version 1.6.1

  1. PrimaryExchange is now set to empty string and only local symbol is used when requesting data. This solves “Invalid symbol” problem occuring for some accounts during last 2 weeks following apparent changes in IB.

Thanks to Edward for the help with testing.

8 Responses to “New IB plugin 1.6.6”

  1. Cilio
    July 7th, 2006 | 10:39 am

    Does this plugin supports historical EOD backfill?

  2. July 7th, 2006 | 3:34 pm

    No, but you can import EOD data using AmiQuote.

  3. Cilio
    July 10th, 2006 | 12:55 pm

    What’s the reason for not backfilling EOD data from IB? I understand the interface is similar to the intraday data.

  4. July 10th, 2006 | 1:23 pm

    The reason is that until recently IB allowed only 5 days EOD backfill which was not useful at all.
    Since then they have added more but AFAIK it is still limited to about half a year which is very small amount for EOD (compared to Yahoo that offers 10+ years).

    Anyway this is on to-do list.

  5. olig
    July 11th, 2006 | 10:19 am

    hi thomas,
    thanks that this EOD is on the to do list, because WITH YAHOO, i cannot fill all the futures EOD (only the 30 days). do you know, when it will be ready, more or less?

  6. smile
    August 26th, 2006 | 4:12 am

    What is the actual TWS version which works fine with AB?

    you told us:

    The only TWS recommended version to use is 858.6 or earlier.
    If you already upgraded to 860.9 you need to revert back to 858.6
    http://www.interactivebrokers.com/download/tws40_install_prev.exe
    General rule is NEVER upgrade TWS until we give OK that new version of TWS is OK,
    as in the past there were many cases where TWS just broke compatiblity with their previous APIs
    and things just stopped working without any warning.
    Again: never update TWS until we say that new version is OK.

  7. August 26th, 2006 | 5:37 am

    Current version (860.9) is OK as plugin 1.6.6 was updated to address changes made in TWS.
    (as you can read in the release notes).

  8. smile
    August 26th, 2006 | 7:16 am

    If you look for version 860.9, here is my download-link:
    http://d.turboupload.com/d/920507/tws40_install_860.9.exe.html